OpenVDB 3.2.0

Public Types | Public Member Functions | Public Attributes | List of all members
VoxelOrderOp< PointIndexType, BucketLog2Dim > Struct Template Reference

`#include <PointPartitioner.h>`

## Public Types
typedef boost::int_t< 1+(3 *BucketLog2Dim)>::least | VoxelOffsetType
typedef boost::scoped_array< VoxelOffsetType > | VoxelOffsetArray
typedef boost::scoped_array< PointIndexType > | IndexArray

## Public Member Functions
| VoxelOrderOp (IndexArray &indices, const IndexArray &pages, const VoxelOffsetArray &offsets)
void | operator() (const tbb::blocked_range< size_t > &range) const

## Public Attributes
PointIndexType *const | mIndices
PointIndexType const *const | mPages
VoxelOffsetType const *const | mVoxelOffsets

## Member Typedef Documentation

## ◆ IndexArray

typedef boost::scoped_array<PointIndexType> IndexArray

## ◆ VoxelOffsetArray

typedef boost::scoped_array<VoxelOffsetType> VoxelOffsetArray

## ◆ VoxelOffsetType

typedef boost::int_t<1 + (3 * BucketLog2Dim)>::least VoxelOffsetType

## Constructor & Destructor Documentation

## ◆ VoxelOrderOp()

VoxelOrderOp | ( | IndexArray & | indices,
|  | const IndexArray & | pages,
|  | const VoxelOffsetArray & | offsets
| ) |  |
| inline

## Member Function Documentation

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) | const
| inline

## Member Data Documentation

## ◆ mIndices

PointIndexType* const mIndices

## ◆ mPages

PointIndexType const* const mPages

## ◆ mVoxelOffsets

VoxelOffsetType const* const mVoxelOffsets

The documentation for this struct was generated from the following file:

- PointPartitioner.h